ServerEvents.recipes(e=> {
    //太阳能板
  e.remove({ output: 'mekanismgenerators:solar_panel'})
    
    let l = 3;
    let dust_lithium = 'mekanism:dust_lithium'
    let insulating_glass = 'powah:photoelectric_pane'
    let solar_panel = 'mekanismgenerators:solar_panel'
    let dust_hop_graphite = 'immersiveengineering:dust_hop_graphite'
    let basic_control_circuit = 'mekanism:basic_control_circuit'
    e.recipes.createSequencedAssembly([
    Item.of(2*l + 'x ' + solar_panel).withChance(62.0),
    Item.of(1 + 'x ' + solar_panel).withChance(4.0),
    Item.of(l + 'x ' + insulating_glass).withChance(8.0),
  ], insulating_glass, [
    e.recipes.createFilling(insulating_glass, [insulating_glass, Fluid.of("immersiveengineering:redstone_acid", 100)]),
    e.recipes.createCutting(insulating_glass, insulating_glass).processingTime(50),
    e.recipes.createDeploying(insulating_glass, [insulating_glass, dust_hop_graphite]),
    e.recipes.createDeploying(insulating_glass, [insulating_glass, dust_lithium]),
    e.recipes.createDeploying(insulating_glass, [insulating_glass, basic_control_circuit]),
  ]).transitionalItem(insulating_glass).loops(l)

  'powah:photoelectric_pane'
  







})
